<?php

class PrestacaoComprovanteController extends Controller
{
    private $model;
    private $comprovanteModel;

    public function __construct()
    {
        $this->model = $this->model('PrestacaoContas');
    $this->comprovanteModel = $this->model('PrestacaoComprovante'); // <-- adicione esta linha
    }

    public function baixar($arquivo)
    {
        $caminho = dirname(__DIR__, 2) . '/public/comprovantes_prestacao/' . $arquivo;

        if (file_exists($caminho)) {
            header('Content-Description: File Transfer');
            header('Content-Type: application/octet-stream');
            header('Content-Disposition: attachment; filename="' . basename($caminho) . '"');
            header('Expires: 0');
            header('Cache-Control: must-revalidate');
            header('Pragma: public');
            header('Content-Length: ' . filesize($caminho));
            readfile($caminho);
            exit;
        } else {
            Sessao::mensagem('prestacao_contas', 'Arquivo não encontrado.', 'alert alert-danger');
            URL::redirecionar('prestacao_contas');
        }
    }

   public function visualizar($id)
{
    $comprovantes = $this->comprovanteModel->buscarPorPrestacaoId($id);

    $dados = [
        'id_prestacao' => $id,
        'comprovantes' => $comprovantes
    ];

    $this->view('comprovantes/visualizar', ['dados' => $dados]);
}




}
